import { createSignal } from "solid-js";
import { CustomLabel } from "../types/CustomLabel";

type CustomLabelsMap = {[k: number]: CustomLabel};

export const [customLabelsMap, setCustomLabelsMap] = createSignal<{[k: number]: CustomLabel}>({});

export function loadCustomLabels() {
    fetch(`${import.meta.env.VITE_BACKEND_URL}/api/label`)
        .then((res) => res.json())
        .then((data: Array<CustomLabel>) => {
            const map: CustomLabelsMap = {};
            for (const label of data) {
                map[label.custom_label_id] = label;
            }
            setCustomLabelsMap(map);
        });
}

loadCustomLabels();

